'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var useClientDimensions = function useClientDimensions() {
  var getClientDimensions = react.useCallback(function () {
    var _window, _window2;

    return (// isBrowser check is for systems like gatsby which do server side rendering during build
      typeof window === undefined // isBrowser check
      ? {
        vw: 0,
        vh: 0
      } : {
        vw: (_window = window) == null ? void 0 : _window.innerWidth,
        vh: (_window2 = window) == null ? void 0 : _window2.innerHeight
      }
    );
  }, []);

  var _useState = react.useState(getClientDimensions()),
      dimensions = _useState[0],
      setDimensions = _useState[1];

  var handleResize = react.useCallback(function () {
    return setDimensions(getClientDimensions());
  }, [getClientDimensions]);
  react.useEffect(function () {
    var _window3;

    (_window3 = window) == null ? void 0 : _window3.addEventListener('resize', handleResize);
    return function () {
      var _window4;

      return (_window4 = window) == null ? void 0 : _window4.removeEventListener('resize', handleResize);
    };
  }, [handleResize]);
  return dimensions;
};

exports.useClientDimensions = useClientDimensions;
//# sourceMappingURL=react-client-dimensions.cjs.development.js.map
